@import url("grid.css");

*,
*:before,
*:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-family: 'PT Serif', serif;
    max-height: 100%;
    margin: 0;
    font-size: 3rem;
}

.button.loading {
    pointer-events: none;
    cursor: not-allowed;
}

.button.loading:after {
    width: 23px;
    height: 23px;
    border-width: 2px;
    top: calc(50% - 11.5px);
    left: calc(50% - 11.5px);
}

.columns {
    margin-top: 0
}

section {
    background-color: #e8e2dd;
    padding: 2rem 0 3rem 0;
    overflow: hidden;
}

section.alt {
    background-color: #191923;
    color: #e8e2dd;
}

.join-container {
    border: 1px solid black;
    display: inline-block;
    border-radius: 6px;
}

.join-container input {
    border: 0;
    padding: 0.5rem 1rem;
    outline: none;
    font-size: 1rem;
    border-radius: 6px 0 0 6px;
}

.join-container button {
    appearance: none;
    border: none;
    height: auto;
    background-color: #191923;
    color: #e8e2dd;
    border-radius: 0 6px 6px 0;
    cursor: pointer;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    padding: 0.5rem 1rem;
    transition: background-color 0.5s;
}

.join-container button:hover {
    background-color: #004369;
}

.alt .join-container button {
    background-color: #e8e2dd;
    color: #191923;
}

.alt .join-container button:hover {
    background-color: #efefef;
}

div {
    margin-top: 2rem;
}

@media only screen and (min-device-width: 320px) and (max-device-width: 568px),
only screen and (min-device-width: 320px) and (max-device-width: 480px),
only screen and (max-device-width: 640px),
only screen and (max-device-width: 667px) {

    html,
    body {
        font-size: 65%;
    }

    .mobile-full-size {
        font-size: 133% !important;
    }
}